<?php

/**
 * @Author KennyNguyen (ngyuyentiendat713@gmail.com)
 * @License GNU/GPL version 2 or any later version
 * @Createdate Tue, 01 Nov 2016 10:30:00 GMT
 */
if (! defined('NV_MAINFILE')) {
    die('Stop!!!');
}

if (! nv_function_exists('nv_menu_theme_highlight_text')) {

    function nv_menu_theme_highlight_text_config($module, $data_block, $lang_block)
    {
		global $lang_global;
		$html = '';
        for ($i = 1; $i < 13; ++$i) {
			$html .= '<tr>';
			$html .= '	<td>' . ucwords($lang_global['month']) . ' ' . $i . '</td>';
			$html .= '	<td><input type="text" name="config_text_' . $i . '" class="form-control" value="' . $data_block['text_' . $i] . '"/></td>';
			$html .= '</tr>';
		}
        return $html;
    }

    function nv_menu_theme_highlight_text_submit($module, $lang_block)
    {
        global $nv_Request;
        $return = array();
        $return['error'] = array();
		for ($i = 1; $i < 13; ++$i) {
			$return['config']['text_' . $i] = $nv_Request->get_title('config_text_' . $i, 'post');
		}
        return $return;
    }

    function nv_menu_theme_highlight_text($block_config)
    {
        global $global_config, $site_mods, $lang_global, $blockID;
        
        if (file_exists(NV_ROOTDIR . '/themes/' . $global_config['module_theme'] . '/blocks/global.highlight_text.tpl')) {
            $block_theme = $global_config['module_theme'];
        } elseif (file_exists(NV_ROOTDIR . '/themes/' . $global_config['site_theme'] . '/blocks/global.highlight_text.tpl')) {
            $block_theme = $global_config['site_theme'];
        } else {
            $block_theme = 'default';
        }
        
        $xtpl = new XTemplate('global.highlight_text.tpl', NV_ROOTDIR . '/themes/' . $block_theme . '/blocks');
        $xtpl->assign('NV_BASE_SITEURL', NV_BASE_SITEURL);
        $xtpl->assign('LANG', $lang_global);
        $xtpl->assign('BLOCK_THEME', $block_theme);
        $xtpl->assign('BLOCKID', $blockID);
        $xtpl->assign('DATA', $block_config);

		if( !empty($block_config['text_' . date('n')])){
			$xtpl->assign('HIGHLIGHT', $block_config['text_' . date('n')]);
			$xtpl->parse('main');
		}
        return $xtpl->text('main');
    }
}

if (defined('NV_SYSTEM')) {
    $content = nv_menu_theme_highlight_text($block_config);
}
